MyGUI: MyGUI::PointerManager Class Reference

MyGUI 3.4.3

Public Member Functions | Static Public Member Functions | Data Fields
MyGUI::PointerManager Class Reference

`#include <MyGUI_PointerManager.h>`

Inheritance diagram for MyGUI::PointerManager:
[legend]

## Public Member Functions
| PointerManager (const PointerManager &)=delete
PointerManager & | operator= (const PointerManager &)=delete
| PointerManager ()
void | initialise ()
void | shutdown ()
void | setVisible (bool _visible)
bool | isVisible () const
void | setPointer (std::string_view _name)
void | resetToDefaultPointer ()
const std::string & | getDefaultPointer () const
void | setDefaultPointer (std::string_view _value)
const std::string & | getLayerName () const
void | setLayerName (std::string_view _value)
IPointer * | getByName (std::string_view _name) const
Public Member Functions inherited from MyGUI::IUnlinkWidget
virtual | ~IUnlinkWidget ()=default
Public Member Functions inherited from MyGUI::MemberObsolete< PointerManager >
void | setDeafultPointer (std::string_view _value)
void | show ()
void | hide ()
bool | isShow ()
bool | load (const std::string &_file)
void | loadOldPointerFormat (xml::ElementPtr _node, std::string_view _file, Version _version, std::string_view _tag)

## Static Public Member Functions
static PointerManager & | getInstance ()
static PointerManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Data Fields
EventPairConvertStringView< delegates::MultiDelegate< const std::string & >, delegates::MultiDelegate< std::string_view > > | eventChangeMousePointer

## Detailed Description

Definition at line 21 of file MyGUI_PointerManager.h.

## Constructor & Destructor Documentation

## ◆ PointerManager() [1/2]

MyGUI::PointerManager::PointerManager | ( | const PointerManager & |  | ) |
| delete

## ◆ PointerManager() [2/2]

MyGUI::PointerManager::PointerManager | ( |  | ) |

Definition at line 27 of file MyGUI_PointerManager.cpp.

## Member Function Documentation

## ◆ getByName()

IPointer * MyGUI::PointerManager::getByName | ( | std::string_view | _name | ) | const

Get pointer resource

Definition at line 233 of file MyGUI_PointerManager.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::PointerManager::getClassTypeName | ( |  | ) |
| static

Definition at line 25 of file MyGUI_PointerManager.cpp.

## ◆ getDefaultPointer()

const std::string & MyGUI::PointerManager::getDefaultPointer | ( |  | ) | const

Get default pointer

Definition at line 276 of file MyGUI_PointerManager.cpp.

## ◆ getInstance()

PointerManager & MyGUI::PointerManager::getInstance | ( |  | ) |
| static

Definition at line 25 of file MyGUI_PointerManager.cpp.

## ◆ getInstancePtr()

PointerManager * MyGUI::PointerManager::getInstancePtr | ( |  | ) |
| static

Definition at line 25 of file MyGUI_PointerManager.cpp.

## ◆ getLayerName()

const std::string & MyGUI::PointerManager::getLayerName | ( |  | ) | const

Get layer name where pointer rendered

Definition at line 281 of file MyGUI_PointerManager.cpp.

## ◆ initialise()

void MyGUI::PointerManager::initialise | ( |  | ) |

Definition at line 35 of file MyGUI_PointerManager.cpp.

## ◆ isVisible()

bool MyGUI::PointerManager::isVisible | ( |  | ) | const

Is mouse pointer visible

Definition at line 271 of file MyGUI_PointerManager.cpp.

## ◆ operator=()

PointerManager & MyGUI::PointerManager::operator= | ( | const PointerManager & |  | ) |
| delete

## ◆ resetToDefaultPointer()

void MyGUI::PointerManager::resetToDefaultPointer | ( |  | ) |

Reset to default pointer

Definition at line 157 of file MyGUI_PointerManager.cpp.

## ◆ setDefaultPointer()

void MyGUI::PointerManager::setDefaultPointer | ( | std::string_view | _value | ) |

Set default pointer

Definition at line 203 of file MyGUI_PointerManager.cpp.

## ◆ setLayerName()

void MyGUI::PointerManager::setLayerName | ( | std::string_view | _value | ) |

Set layer where pointer rendered

Definition at line 211 of file MyGUI_PointerManager.cpp.

## ◆ setPointer()

void MyGUI::PointerManager::setPointer | ( | std::string_view | _name | ) |

Set pointer that will be shown

Parameters

  _name | of pointer

Definition at line 266 of file MyGUI_PointerManager.cpp.

## ◆ setVisible()

void MyGUI::PointerManager::setVisible | ( | bool | _visible | ) |

Show or hide mouse pointer

Definition at line 121 of file MyGUI_PointerManager.cpp.

## ◆ shutdown()

void MyGUI::PointerManager::shutdown | ( |  | ) |

Definition at line 62 of file MyGUI_PointerManager.cpp.

## Field Documentation

## ◆ eventChangeMousePointer

EventPairConvertStringView< delegates::MultiDelegate<const std::string&>, delegates::MultiDelegate<std::string_view> > MyGUI::PointerManager::eventChangeMousePointer

Event : Mouse pointer has been changed.
signature : void method(std::string_view _pointerName)

Parameters

  _pointerName | Name of current mouse pointer

Definition at line 64 of file MyGUI_PointerManager.h.

The documentation for this class was generated from the following files:

- MyGUI_PointerManager.h
- MyGUI_PointerManager.cpp